--*********************************************
-- Desc: 成就属性
-- File: AchievementData.lua
-- Author: zhouhaifeng
-- Date: 2014-03-31 13:42:48
--*********************************************

--mode ＝ 0 单程  mode ＝ 1 总计
COUNT_TYPE_SINGLE_GAME = 0
COUNT_TYPE_TOTAL_GAME = 1
--成就类型
ACH_TYPE_KILL_ENMEY = 1
ACH_TYPE_KILL_BOSS = 2
ACH_TYPE_JUMP = 3
ACH_TYPE_NORMAL_SPEED = 4 --不加速
ACH_TYPE_DRIVE = 5  
ACH_TYPE_DRIVE_TIME = 7 
ACH_TYPE_DISTORY = 8  
ACH_TYPE_COMBO = 9
ACH_TYPE_UNLOCKED = 10
ACH_TYPE_COLLECT = 11
ACH_TYPE_DRIVE_SPEED = 12  --加速

-- local AchievementData = {
	-- [1] 	= {achId = 1 ,  name = "初血", 		   desc = "第一次杀掉僵尸" ,  		achType = ACH_TYPE_KILL_ENMEY,    num = 1 ,     mode = COUNT_TYPE_SINGLE_GAME},
	-- [2]	    = {achId = 2 ,  name = "屌丝快跑", 	   desc = "单程驾驶超过100米", 		achType = ACH_TYPE_DRIVE, 		  num = 100 ,		                mode = COUNT_TYPE_SINGLE_GAME},
	-- [3]	    = {achId = 3 ,  name = "血流成河", 	   desc = "干掉100僵尸",		    achType = ACH_TYPE_KILL_ENMEY, 	  num = 10 ,		                mode = COUNT_TYPE_TOTAL_GAME},
	-- [4]	    = {achId = 4 ,  name = "手下不留情",   desc = "单程连击50次",		    achType = ACH_TYPE_COMBO,		  num = 50 ,		                mode = COUNT_TYPE_SINGLE_GAME},
	-- [5]	    = {achId = 5 ,  name = "压力山大", 	   desc = "单程不加速滑行1000米",	achType = ACH_TYPE_NORMAL_SPEED,  num = 1000 ,	                    mode = COUNT_TYPE_SINGLE_GAME},
	-- [6] 	= {achId = 6 ,  name = "枪小怪不小",   desc = "手枪武器打死一只BOSS", 	achType = ACH_TYPE_KILL_BOSS, 	  num = 1 , 	  weapon = 1 ,      mode = COUNT_TYPE_SINGLE_GAME},
	-- [7] 	= {achId = 7 ,  name = "极速狂飙", 	   desc = "单程加速行驶100米",		achType = ACH_TYPE_DRIVE_SPEED,   num = 100 ,	                    mode = COUNT_TYPE_SINGLE_GAME},
	-- [8] 	= {achId = 8 ,  name = "飞向天空", 	   desc = "单程跳跃5次",  			achType = ACH_TYPE_JUMP,		  num = 5 , 		                mode = COUNT_TYPE_SINGLE_GAME},
	-- [9] 	= {achId = 9 ,  name = "千疮百孔", 	   desc = "散弹枪打死5僵尸",		achType = ACH_TYPE_KILL_ENMEY,	  num = 5 , 	  weapon = 3        mode = COUNT_TYPE_SINGLE_GAME},
	-- [10] 	= {achId = 10 , name = "一场旅行", 	   desc = "驾驶50000米",			achType = ACH_TYPE_DRIVE,		  num = 50000 , 	                mode = COUNT_TYPE_TOTAL_GAME},
	-- [11] 	= {achId = 11 , name = "强力持久", 	   desc = "单程驾驶1分钟",			achType = ACH_TYPE_DRIVE_TIME,	  num = 60 ,                        mode = COUNT_TYPE_SINGLE_GAME},
	-- [12] 	= {achId = 12 , name = "扫怒爆各种射", desc = "单程机枪打死20小怪",		achType = ACH_TYPE_KILL_ENMEY,	  num = 20 ,  	                    mode = COUNT_TYPE_SINGLE_GAME},
	-- [13] 	= {achId = 13 , name = "疏通拥堵", 	   desc = "撞毁50辆汽车"	,		achType = ACH_TYPE_DISTORY,		  num = 50 , 		                mode = COUNT_TYPE_TOTAL_GAME},
	-- [14] 	= {achId = 14 , name = "心狠手辣", 	   desc = "单程连击100次",			achType = ACH_TYPE_COMBO,		  num = 100 , 	                    mode = COUNT_TYPE_SINGLE_GAME},
	-- [15] 	= {achId = 15 , name = "纵情驰骋", 	   desc = "单程驾驶5000米",			achType = ACH_TYPE_DRIVE,		  num = 5000 , 	                    mode = COUNT_TYPE_SINGLE_GAME},
	-- [16] 	= {achId = 16 , name = "超强持久", 	   desc = "单程驾驶5分钟",		    achType = ACH_TYPE_DRIVE_TIME,	  num = 300 ,                       mode = COUNT_TYPE_SINGLE_GAME},
	-- [17] 	= {achId = 17 , name = "长途旅行", 	   desc = "驾驶100000米",			achType = ACH_TYPE_DRIVE,		  num = 100000 , 	                mode = COUNT_TYPE_TOTAL_GAME},
	-- [18] 	= {achId = 18 , name = "车神舒马赫",   desc = "集齐所有摩托车",		    achType = ACH_TYPE_COLLECT,		  colletcts = {1001,1002,1003,1004,1005,1006}},
	-- [19] 	= {achId = 19 , name = "老板都是渣",   desc = "杀死100只boss",			achType = ACH_TYPE_KILL_BOSS,     num = 100 , 	   time = 180 ,     mode = COUNT_TYPE_TOTAL_GAME},
	-- [20] 	= {achId = 20 , name = "涩姐威武", 	   desc = "爆涩姐轰杀1000僵尸",		achType = ACH_TYPE_KILL_ENMEY, 	  num = 100 ,	   weapon = 4,      mode = COUNT_TYPE_TOTAL_GAME},
	-- [21] 	= {achId = 21 , name = "环游世界", 	   desc = "解锁所有5张地图",		achType = ACH_TYPE_UNLOCKED,      num = 5 , 	                    mode = COUNT_TYPE_TOTAL_GAME},
	-- [22] 	= {achId = 22 , name = "大老板也渣",   desc = "杀死20超级boss",		    achType = ACH_TYPE_KILL_BOSS,     num = 20 ,                        mode = COUNT_TYPE_TOTAL_GAME},
	-- [23] 	= {achId = 23 , name = "战斗专家蓝保", desc = "集齐所有武器",			achType = ACH_TYPE_COLLECT,		  colletcts = {2001,2002,2003,2004,2005,2006,2007,2008,2009}},	
 -- }

local AchievementData = {
	[1] 	= {achId = 1 ,  name = "初血", 		   desc = "第一次杀掉僵尸" ,  		achType = ACH_TYPE_KILL_ENMEY,    num = 1 ,     mode = COUNT_TYPE_SINGLE_GAME},
	[2]	    = {achId = 2 ,  name = "屌丝快跑", 	   desc = "单程驾驶超过100米", 		achType = ACH_TYPE_DRIVE, 		  num = 100 ,		                mode = COUNT_TYPE_SINGLE_GAME},
	[3]	    = {achId = 3 ,  name = "血流成河", 	   desc = "干掉100僵尸",		    achType = ACH_TYPE_KILL_ENMEY, 	  num = 100 ,		                mode = COUNT_TYPE_TOTAL_GAME},
	[4]	    = {achId = 4 ,  name = "手下不留情",   desc = "单程连击50次",		    achType = ACH_TYPE_COMBO,		  num = 50 ,		                mode = COUNT_TYPE_SINGLE_GAME},
	[5]	    = {achId = 5 ,  name = "压力山大", 	   desc = "单程不加速滑行1000米",	achType = ACH_TYPE_NORMAL_SPEED,  num = 1000 ,	                    mode = COUNT_TYPE_SINGLE_GAME},
	[6] 	= {achId = 6 ,  name = "枪小怪不小",   desc = "手枪武器打死一只BOSS", 	achType = ACH_TYPE_KILL_BOSS, 	  num = 1 , 	  weapon = 1 ,      mode = COUNT_TYPE_SINGLE_GAME},
	[7] 	= {achId = 7 ,  name = "极速狂飙", 	   desc = "单程加速行驶100米",		achType = ACH_TYPE_DRIVE_SPEED,   num = 100 ,	                    mode = COUNT_TYPE_SINGLE_GAME},
	[8] 	= {achId = 8 ,  name = "飞向天空", 	   desc = "单程跳跃5次",  			achType = ACH_TYPE_JUMP,		  num = 5 , 		                mode = COUNT_TYPE_SINGLE_GAME},
	[9] 	= {achId = 9 ,  name = "千疮百孔", 	   desc = "散弹枪打死5僵尸",		achType = ACH_TYPE_KILL_ENMEY,	  num = 5 , 	  weapon = 3 ,       mode = COUNT_TYPE_SINGLE_GAME},
	[10] 	= {achId = 10 , name = "一场旅行", 	   desc = "驾驶50000米",			achType = ACH_TYPE_DRIVE,		  num = 50000 , 	                mode = COUNT_TYPE_TOTAL_GAME},
	[11] 	= {achId = 11 , name = "强力持久", 	   desc = "单程驾驶1分钟",			achType = ACH_TYPE_DRIVE_TIME,	  num = 60 ,                        mode = COUNT_TYPE_SINGLE_GAME},
	[12] 	= {achId = 12 , name = "扫怒爆各种射", desc = "单程机枪打死20小怪",		achType = ACH_TYPE_KILL_ENMEY,	  num = 20 ,  	                    mode = COUNT_TYPE_SINGLE_GAME},
	[13] 	= {achId = 13 , name = "疏通拥堵", 	   desc = "撞毁50辆汽车"	,		achType = ACH_TYPE_DISTORY,		  num = 50 , 		                mode = COUNT_TYPE_TOTAL_GAME},
	[14] 	= {achId = 14 , name = "心狠手辣", 	   desc = "单程连击100次",			achType = ACH_TYPE_COMBO,		  num = 100 , 	                    mode = COUNT_TYPE_SINGLE_GAME},
	[15] 	= {achId = 15 , name = "纵情驰骋", 	   desc = "单程驾驶5000米",			achType = ACH_TYPE_DRIVE,		  num = 5000 , 	                    mode = COUNT_TYPE_SINGLE_GAME},
	[16] 	= {achId = 16 , name = "超强持久", 	   desc = "单程驾驶5分钟",		    achType = ACH_TYPE_DRIVE_TIME,	  num = 300 ,                       mode = COUNT_TYPE_SINGLE_GAME},
	[17] 	= {achId = 17 , name = "长途旅行", 	   desc = "驾驶100000米",			achType = ACH_TYPE_DRIVE,		  num = 100000 , 	                mode = COUNT_TYPE_TOTAL_GAME},
	[18] 	= {achId = 18 , name = "车神舒马赫",   desc = "集齐所有摩托车",		    achType = ACH_TYPE_COLLECT,		  colletcts = {1001,1002,1003,1004,1005,1006}},
	[19] 	= {achId = 19 , name = "老板都是渣",   desc = "杀死100只boss",			achType = ACH_TYPE_KILL_BOSS,     num = 100 , 	   time = 180 ,     mode = COUNT_TYPE_TOTAL_GAME},
	[20] 	= {achId = 20 , name = "涩姐威武", 	   desc = "轰杀1000僵尸",		achType = ACH_TYPE_KILL_ENMEY, 	  num = 100 ,	   weapon = 4,      mode = COUNT_TYPE_TOTAL_GAME},
	[21] 	= {achId = 21 , name = "环游世界", 	   desc = "解锁所有5张地图",		achType = ACH_TYPE_UNLOCKED,      num = 5 , 	                    mode = COUNT_TYPE_TOTAL_GAME},
	[22] 	= {achId = 22 , name = "大老板也渣",   desc = "杀死20超级boss",		    achType = ACH_TYPE_KILL_SBOSS,     num = 20 ,                        mode = COUNT_TYPE_TOTAL_GAME},
	[23] 	= {achId = 23 , name = "战斗专家蓝保", desc = "集齐所有武器",			achType = ACH_TYPE_COLLECT,		  colletcts = {2001,2002,2003,2004,2005,2006,2007,2008,2009}},	
}


return AchievementData