--*********************************************
-- Desc: 关卡模板表
-- File: LevelData.lua
-- Author: zhouhaifeng
-- Date: 2014-03-31 19:03:45
--*********************************************

local LevelData = {
	--关卡
	[1] = {
		mapId = 1,
		name = "荒郊野外",
		path = "maps/map_1.tmx",
		monsters = {1001,1007},
		unlock = 0,
		levels = {
			[1] = {levelId = 1001 , name = "教程关", taskItems = {1001,1002,1003}, awardsMoney = 500},
			[2] = {levelId = 1002 , name = "关卡2", taskItems = {1004,1005,1006}, awardsMoney = 600},
		    [3] = {levelId = 1003 , name = "关卡3", taskItems = {1007,1008,1009}, awardsMoney = 700},
	        [4] = {levelId = 1004 , name = "关卡4", taskItems = {1010,1011,1012}, awardsMoney = 800},
	        [5] = {levelId = 1005 , name = "关卡5", taskItems = {1013,1014,1015}, awardsMoney = 1000},
		}
	},
	[2] = {
		mapId = 2,
		name = "市郊小镇",
		path = "maps/map_2.tmx",
		monsters = {1003,1008,1009},
		unlock = 6,
		levels = {
			[1] = {levelId = 2001 , name = "关卡1", taskItems = {1016,1017,1018}, awardsMoney = 1200},
			[2] = {levelId = 2002 , name = "关卡2", taskItems = {1019,1020,1021}, awardsMoney = 1500},
		    [3] = {levelId = 2003 , name = "关卡3", taskItems = {1022,1023,1024}, awardsMoney = 1800},
	        [4] = {levelId = 2004 , name = "关卡4", taskItems = {1025,1026,1027}, awardsMoney = 2100},
	        [5] = {levelId = 2005 , name = "关卡5", taskItems = {1028,1029,1030}, awardsMoney = 2500},
		}
	},
	[3] = {
		mapId = 3,
		name = "繁华都市",
		path = "maps/map_3.tmx",
		monsters = {1002,1005},
		unlock = 11,
		levels = {
			[1] = {levelId = 3001 , name = "关卡1", taskItems = {1031,1032,1033}, awardsMoney = 2800},
			[2] = {levelId = 3002 , name = "关卡2", taskItems = {1034,1035,1036}, awardsMoney = 3200},
		    [3] = {levelId = 3003 , name = "关卡3", taskItems = {1037,1038,1039}, awardsMoney = 3600},
		    [4] = {levelId = 3004 , name = "关卡4", taskItems = {1040,1041,1042}, awardsMoney = 4000},
	        [5] = {levelId = 3005 , name = "关卡5", taskItems = {1043,1044,1055}, awardsMoney = 4500},
		}
	},
	[4] = {
		mapId = 4,
		name = "军事基地",
		path = "maps/map_4.tmx",
		monsters = {1002,1004,1010},
		unlock = 16,
		levels = {
			[1] = {levelId = 4001 , name = "关卡1", taskItems = {1046,1047,1048}, awardsMoney = 5000},
			[2] = {levelId = 4002 , name = "关卡2", taskItems = {1049,1050,1051}, awardsMoney = 5500},
			[3] = {levelId = 4003 , name = "关卡3", taskItems = {1052,1053,1054}, awardsMoney = 6000},
			[4] = {levelId = 4004 , name = "关卡4", taskItems = {1055,1056,1057}, awardsMoney = 6600},
			[5] = {levelId = 4005 , name = "关卡5", taskItems = {1058,1059,1060}, awardsMoney = 7200},
		}
	},
	[5] = {
		mapId = 5,
		name = "航天中心",
		path = "maps/map_5.tmx",
		monsters = {1006,1010,1011},
		unlock = 20,
		levels = {
			[1] = {levelId = 5001 , name = "关卡1", taskItems = {1061,1062,1063}, awardsMoney = 8000},
			[2] = {levelId = 5002 , name = "关卡2", taskItems = {1064,1065,1066}, awardsMoney = 9000},
			[3] = {levelId = 5003 , name = "关卡3", taskItems = {1067,1068,1069}, awardsMoney = 11500},
			[4] = {levelId = 5004 , name = "关卡4", taskItems = {1070,1071,1072}, awardsMoney = 13000},
			[5] = {levelId = 5005 , name = "关卡5", taskItems = {1073,1074,1075}, awardsMoney = 15000}, 
		}
	}
}

return LevelData