--*********************************************
-- Desc: ${desc}
-- File: CommonFunction.lua
-- Author: zhouhaifeng
-- Date: 2014-04-02 11:02:08
--*********************************************

cf = {}

--[[
	时间转换 
	(H小时M分S秒)
]] 
function cf.timeConvert(value,format,key)
	local hour,min,sec
	format = format or "H:M:S" 

	hour = math.floor(value / 3600)
	if hour >= 1 then
		min = math.floor((value - hour * 3600) / 60)
	else
		min = math.floor(value / 60)
	end
	sec = math.floor(value % 60 )

	hour = hour<10 and "0"..hour or hour
	min = min<10 and "0"..min or min
	sec = sec<10 and "0"..sec or sec

	if key == "hour" then
		return hour
	end
	if key == "min" then
		return min
	end
	if key == "sec" then
		return sec
	end

	if format then
		format = string.gsub(format , "H" , hour)
		format = string.gsub(format , "M" , min)
		format = string.gsub(format , "S" , sec)
	end

	return format
end