--*********************************************
-- Desc: 子弹类库池
-- File: BulletPools.lua
-- Author: zhouhaifeng
-- Date: 2014-04-03 14:25:59
--*********************************************

local Bullet = import(".Bullet")

local BulletPools = class("BulletPools",function()
	return OBJPoolExtend.extend(display.newNode())
end)


function BulletPools:ctor()
    self:initPools("Bullet", 50, 20, function()
    	return Bullet.new(kWeaponTypeHandGun)
    end)

    self:retain()
end

function BulletPools:purge()
	 self:removeAllObjects()
	 self:removeAllChildrenWithCleanup(true)
	 self:removeFromParentAndCleanup(true)
	 self:release()
end


function BulletPools:onEnter()
	
end


function BulletPools:onExit()

end

return BulletPools